<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:b="http://bootsfaces.net/ui"
    xmlns:jsf="http://xmlns.jcp.org/jsf"
    xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <h:graphicImage library="images" name="footer-shape.png" class="img-responsive imageShape" />
    <div class="footerSection">
        <b:container fluid="true">
            <div class="row">
                <div class="col-md-4 sectionSeparator">
                    <h2>#{msgs.aboutUs}</h2>
                    <p>#{msgs.helpDescr}</p>
                    <p>#{msgs.aboutUsInfo}</p>
                </div>

                <div class="col-md-4 sectionSeparator">
                    <h2>#{msgs.quickLinks}</h2>
                    <h:form>
                        <div class="input-group">
                            <h:inputText  styleClass="form-control" id="searchTerm" a:placeholder="#{msgs.searchBooks}"  value="#{theBooks.searchTerm}" rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"/>
                            <div class="input-group-btn">
                                <button class="btn btn-default"  type="submit" value="submit" jsf:action="#{theBooks.processSeacrh(user.userId)}" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">
                                <i class="glyphicon glyphicon-search"></i>
                              </button>
                            </div>
                        </div>
                    </h:form>
                    <ul>
                        <li><a href="/ga3w20/help.xhtml">#{msgs.help}</a></li>
                    </ul>
                </div>

                <!-- Survey Section -->
                <h:form id="surveyForm">
                    <div class="col-md-4 sectionSeparator">
                        <div class="SurveyContainer">
                            <h2>#{msgs.surveyQuestion} #{surveyBean.questionText}</h2>
                            
                            <!-- survey options -->
                            <h:selectOneRadio rendered="#{surveyBean.renderSurvey}" id="nameId" value="#{surveyBean.resultId}">
                                <f:selectItems value="#{surveyBean.answers}" var="answer" itemValue="#{answer.id}" itemLabel="#{answer.answerText}"/>
                            </h:selectOneRadio>

                            <!-- Submit survey -->
                            <h:commandLink rendered="#{surveyBean.renderSurvey}" styleClass="answerButton">
                                <span>Submit</span>
                                <f:ajax execute="nameId" render="surveyForm" listener="#{surveyBean.updateSurvey()}" />
                            </h:commandLink>
                        </div>

                        <h:panelGroup id ="outputMessage" layout="block">
                            <h:panelGroup rendered="#{surveyBean.renderResult}" layout="block">
                                <p>#{msgs.youChose} #{surveyBean.resultText}</p>
                                <p:barChart model="#{surveyBean.hbarModel}" />
                            </h:panelGroup>
                        </h:panelGroup>
                    </div>
                </h:form>
            </div>
        </b:container>

        <!-- copyright section -->
        <div class="copyrightSection">
            <p class="text-center">420-625-DW Internet Application Project</p>
            <p class="text-center">TomNookBooks #{msgs.madeWith} &#10084;&#65039; #{msgs.by} Michael Mishin, Alexander Berestetskyy, Hadil A. Elhashani, Franco G. Moro #{msgs.et} Yongchao Li</p>
        </div>

    </div>

</ui:composition>